Index: Makefile
===================================================================
--- Makefile	(revision d11686c6f0d1ef2d7c739e06ef151155b19e3469)
+++ Makefile	(revision a161ad9dfcdae7105e02bf80b04086d45c17c14e)
@@ -35,4 +35,17 @@
 endif
 
+ifndef ARCH
+  ARCH = default
+endif
+ifneq ($(ARCH), default)
+  ifneq ($(ARCH), ml_32)
+    ifneq ($(ARCH), ml_x32)
+      ifneq ($(ARCH), ml_all)
+        $(error ARCH must be either 'default' (default if unset), 'ml_32', 'ml_x32' or 'ml_all'.)
+      endif
+    endif
+  endif
+endif
+
 book: validate profile-html
 	@echo "Generating chunked XHTML files at $(BASEDIR)/ ..."
@@ -130,4 +143,5 @@
                 --output $(RENDERTMP)/lfs-html2.xml   \
                 --stringparam profile.revision $(REV) \
+                --stringparam profile.arch $(ARCH)    \
                 stylesheets/lfs-xsl/profile.xsl       \
                 index.xml
@@ -183,4 +197,5 @@
 	$(Q)xsltproc --nonet --xinclude                   \
                 --stringparam profile.revision $(REV) \
+                --stringparam profile.arch $(ARCH)    \
                 --output $(RENDERTMP)/md5sum.xml      \
                 stylesheets/lfs-xsl/profile.xsl       \
Index: packages.ent
===================================================================
--- packages.ent	(revision d11686c6f0d1ef2d7c739e06ef151155b19e3469)
+++ packages.ent	(revision a161ad9dfcdae7105e02bf80b04086d45c17c14e)
@@ -349,4 +349,13 @@
 <!ENTITY iproute2-fin-du "17 MB">
 <!ENTITY iproute2-fin-sbu "0.1 SBU">
+
+<!ENTITY isl-version "0.24">
+<!ENTITY isl-size "2.1 MB">
+<!-- ENTITY isl-url "http://isl.gforge.inria.fr/isl-&isl-version;.tar.xz" -->
+<!ENTITY isl-url "https://gcc.gnu.org/pub/gcc/infrastructure/isl-&isl-version;.tar.bz2">
+<!ENTITY isl-md5 "dd2f7b78e118c25bd96134a52aae7f4d">
+<!ENTITY isl-home "http://isl.gforge.inria.fr/">
+<!ENTITY isl-fin-du "20 MB">
+<!ENTITY isl-fin-sbu "0.1 SBU">
 
 <!ENTITY jinja2-version "3.1.2">
